{
  "$schema": "http://json-schema.org/draft-07/schema#",
  "properties": {
    "apiVersion": {
      "type": "string"
    },
    "kind": {
      "type": "string"
    },
    "metadata": {
      "type": "object"
    },
    "snapshotFile": {
      "properties": {
        "createdAt": {
          "format": "date-time",
          "type": "string"
        },
        "location": {
          "type": "string"
        },
        "message": {
          "type": "string"
        },
        "metadata": {
          "type": "string"
        },
        "name": {
          "type": "string"
        },
        "nodeName": {
          "type": "string"
        },
        "s3": {
          "properties": {
            "bucket": {
              "maxLength": 63,
              "nullable": true,
              "type": "string"
            },
            "cloudCredentialName": {
              "nullable": true,
              "type": "string"
            },
            "endpoint": {
              "nullable": true,
              "type": "string"
            },
            "endpointCA": {
              "nullable": true,
              "type": "string"
            },
            "folder": {
              "nullable": true,
              "type": "string"
            },
            "region": {
              "nullable": true,
              "type": "string"
            },
            "skipSSLVerify": {
              "type": "boolean"
            }
          },
          "type": "object"
        },
        "size": {
          "format": "int64",
          "type": "integer"
        },
        "status": {
          "type": "string"
        }
      },
      "type": "object"
    },
    "spec": {
      "properties": {
        "clusterName": {
          "type": "string"
        }
      },
      "type": "object"
    },
    "status": {
      "properties": {
        "missing": {
          "type": "boolean"
        }
      },
      "required": [
        "missing"
      ],
      "type": "object"
    }
  },
  "type": "object"
}
